Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I cannot seem to upgrade from 11.04 to Oneiric because:

Error during update

A problem occurred during the update. This is usually some sort of
network problem, please check your network connection and retry.

W:Failed to fetch http://security.ubuntu.com/ubuntu/dists/oneiric-security/multivers/binary-amd64/Packages
404 Not Found [IP: 91.189.92.167 80], W:Failed to fetch
gzip:/var/lib/apt/lists/partial/security.ubuntu.com_ubuntu_dists_oneiric-security_main_binary-i386_Packages
Hash Sum mismatch, W:Failed to fetch
gzip:/var/lib/apt/lists/partial/security.ubuntu.com_ubuntu_dists_oneiric-security_universe_binary-i386_Packages
Hash Sum mismatch, E:Some index files failed to download. They have been ignored, or

old ones used instead.

Now I thought I would check my network connection despite the fact that it could find every other package and it ofc returned that my network was fine. So I decided to ping the IP of this package location myself (91.189.92.167) and got:

PING 91.189.92.167 (91.189.92.167) 56(84) bytes of data.
64 bytes from 91.189.92.167: icmp_req=1 ttl=128 time=40.5 ms
64 bytes from 91.189.92.167: icmp_req=2 ttl=128 time=39.6 ms
64 bytes from 91.189.92.167: icmp_req=3 ttl=128 time=41.0 ms
64 bytes from 91.189.92.167: icmp_req=4 ttl=128 time=38.7 ms
64 bytes from 91.189.92.167: icmp_req=5 ttl=128 time=41.1 ms
64 bytes from 91.189.92.167: icmp_req=6 ttl=128 time=38.6 ms

--- 91.189.92.167 ping statistics ---
6 packets transmitted, 6 received, 0% packet loss, time 5009ms
rtt min/avg/max/mdev = 38.658/39.967/41.195/1.038 ms

Which meant everything was dandy on that side. So I thought maybe the host cannot be resolved so I did host -v:

sam@ubuntu:~$ host -v security.ubuntu.com
Trying "security.ubuntu.com"
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 30243
;; flags: qr rd ra; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 0

;; QUESTION SECTION:
;security.ubuntu.com.           IN      A

;; ANSWER SECTION:
security.ubuntu.com.    5       IN      A       91.189.92.167
security.ubuntu.com.    5       IN      A       91.189.92.166

Received 69 bytes from 192.168.153.2#53 in 37 ms
Trying "security.ubuntu.com"
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 42468
;; flags: qr rd ra; QUERY: 1, ANSWER: 0, AUTHORITY: 1, ADDITIONAL: 0

;; QUESTION SECTION:
;security.ubuntu.com.           IN      AAAA

;; AUTHORITY SECTION:
ubuntu.com.             5       IN      SOA     ns1.canonical.com.hostmaster.ca     nonical.com. 2012011402 10800 3600 604800 3600

Received 98 bytes from 192.168.153.2#53 in 39 ms
Trying "security.ubuntu.com"
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 23755
;; flags: qr rd ra; QUERY: 1, ANSWER: 0, AUTHORITY: 1, ADDITIONAL: 0

;; QUESTION SECTION:
;security.ubuntu.com.           IN      MX

;; AUTHORITY SECTION:
ubuntu.com.             5       IN      SOA     ns1.canonical.com.hostmaster.ca    nonical.com. 2012011402 10800 3600 604800 3600
Received 98 bytes from 192.168.153.2#53 in 40 ms

Which again looks just dandy so I am stuck with thinking that for some reason it has to be something with:

Hash Sum mismatch, E:Some index files failed to download. They have been ignored, or
old ones used instead.

So I did a little searching and found a problem with ppa repos: Update Manager Refuses to Update

But the thing is I am not using ppa so that cant be my problem.

Does anyone know what else could be stopping me from upgrading my Ubuntu?

Maybe I am overlooking something that is right in front my eyes and its just past my bed time, either way I am totally stumped.

Thanks,

EDIT: Also when I try and do a sudo apt-get update now I get:

Err http://security.ubuntu.com oneiric-security/multiverse amd64 Packages
  404  Not Found [IP: 91.189.92.167 80]
W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/oneiric-security/multiverse/binary-amd64/Packages  404  Not Found [IP: 91.189.92.167 80]

E: Some index files failed to download. They have been ignored, or old ones used     instead.
share|improve this question

1 Answer 1

up vote 2 down vote accepted

You have a typo in your sources.list (multivers instead of multiverse for oneiric-security repository) which causes the 404 Not Found error

For those two Hash Sum mismatch errors: Remove the files in /var/lib/apt/lists/partial/ and try to update again.

If you still get this error download http://security.ubuntu.com/ubuntu/dists/oneiric-security/main/binary-i386/Packages.gz, calculate the MD5 checksum and compare it with the one in http://security.ubuntu.com/ubuntu/dists/oneiric-security/Release

Do they match?

share|improve this answer
    
Thanks, removing the partials worked, got another problem now though, would you know what: E: Could not perform immediate configuration on 'util-linux'. Please see man 5 apt.conf under APT::Immediate-Configure for details. (2) basically is? –  Sammaye Jan 16 '12 at 19:50
    
Oh I actually solved this with some very sneaky google keywords! Thanks for the help :) –  Sammaye Jan 16 '12 at 21:13

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.